package com.srs.stureg.mapper;

import com.srs.comprehensive.domain.Vo.DataScreen;
import com.srs.framework.mybatisplusMapper.EasyBaseMapper;
import com.srs.stureg.domain.SrsStuReg;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
@Mapper
public interface SrsStuRegCountMapper extends EasyBaseMapper<SrsStuReg> {

    public List<Map<String,Object>> countDept();
    public List<DataScreen> countArea(List<SrsStuReg> srsStuReg);
    public List<Map<String,Object>> countMajorTop10();
    public Map<String,Object> countNowAt();

    public List<DataScreen> countGender();

    public List<Map<String,Object>> countHour();
    public List<Map<String,Object>> countClass();
    int selectTableCount(@Param("tableName") String tableName);
    public int selectCountByRegStatus(String regStatus);

    public List<Map> atStationCount();

    public List<Map> atStationByCampusCount();
}
